Bug 92159 - (libX11-1.6.3) Dereferencing a pointer that might be null.
Summary: (libX11-1.6.3) Dereferencing a pointer that might be null.
Status: RESOLVED MOVED
Alias: None
Product: xorg
Classification: Unclassified
Component: Lib/Xlib (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Xorg Project Team
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-28 09:49 UTC by Bhavi Dhingra
Modified: 2018-08-10 20:11 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
NULL check added to prevent crash (474 bytes, text/plain)
2015-09-28 09:49 UTC, Bhavi Dhingra
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bhavi Dhingra 2015-09-28 09:49:26 UTC
Created attachment 118481 [details]
NULL check added to prevent crash

In libX11/modules/im/ximcp/imDefLkup.c, Line #91,
_XimICOfXICID returns NULL, Assigning: ic = null return value from _XimICOfXICID
Dereferencing a pointer that might be null ic when calling _XimProcICSetEventMask

Hence, adding a NULL check to avoid crash.
Comment 1 Bhavi Dhingra 2015-10-07 03:40:25 UTC
Gentle reminder for this pending bug.
Comment 2 Bhavi Dhingra 2015-10-09 09:19:31 UTC
Gentle reminder to resolve this bug with the attached patch.
Thank You
Comment 3 Alan Coopersmith 2015-10-09 15:00:17 UTC
X.Org has very few active maintainers and a years long patch backlog.

We also request patches be mailed to xorg-devel for review on the website:
http://wiki.x.org/wiki/Development/Documentation/SubmittingPatches/

That may not make them go in any faster, but harassing us for you not following
instructions and complaining we've not jumped on it in a few weeks tends to make
us move slower.
Comment 4 GitLab Migration User 2018-08-10 20:11:04 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/xorg/lib/libx11/issues/45.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.